@charset "UTF-8";
/**
 Top Bar
 **/
/**
 Menu Bar
 **/
/**
 Content Area
 **/
/**
  Test if `$value` is a valid direction
  @param {*} $value - Value to test
  @return {Bool}
 **/
/**
   Convert a direction to legacy syntax
   @param {Keyword | Angle} $value - Value to convert
   @require {function} is-direction
   @require {function} convert-angle
   @throw Cannot convert `value` to legacy syntax because it doesn't seem to be a direction.;
 **/
/**
   Mixin printing a linear-gradient
   as well as a plain color fallback
   and the `-webkit-` prefixed declaration
   @access public
   @param {Keyword | Angle} $direction - Linear gradient direction
   @param {Arglist} $color-stops - List of color-stops composing the gradient
 */
/* line 7, ../sass/inc/_topbar.scss */
.calendarize-interface .top-bar {
  min-height: 7.5vh;
  background: #005D9E;
  background: -webkit-linear-gradient(-90deg, #005D9E, #243D5F);
  background: linear-gradient(180deg, #005D9E, #243D5F);
  flex-wrap: nowrap;
}
/* line 11, ../sass/inc/_topbar.scss */
.calendarize-interface .top-bar * {
  color: #FFFFFF;
  background-color: initial;
}
/* line 15, ../sass/inc/_topbar.scss */
.calendarize-interface .top-bar .top-bar-left, .calendarize-interface .top-bar .top-bar-right {
  flex: 0 0 33%;
  max-width: 33%;
}
/* line 21, ../sass/inc/_topbar.scss */
.calendarize-interface .logo {
  height: 7vh;
}
/* line 27, ../sass/inc/_topbar.scss */
.calendarize-interface .account-menu .user-greeting:after {
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
  content: "";
  margin-left: 0.25em;
}

/* line 36, ../sass/inc/_topbar.scss */
.sub_menu_item {
  background: #27456c !important;
}

/* line 3, ../sass/inc/_main_content.scss */
.main_content_heading_style {
  border-bottom: 1px #cbd4d9 solid;
  margin-bottom: 2em;
}

/* line 8, ../sass/inc/_main_content.scss */
.main_content_wrapper {
  background: #d6e4ea;
  padding: 2em;
  min-height: 92.5vh;
}

/* line 14, ../sass/inc/_main_content.scss */
.main_content {
  background: white;
  padding: 1em;
  border: 1px #cbd4d9 solid;
}
/* line 17, ../sass/inc/_main_content.scss */
.main_content .calendarize-table-wrapper {
  overflow-x: scroll;
}

/* line 22, ../sass/inc/_main_content.scss */
.frontend_main_content {
  background: white;
  padding: 2em;
  border: 1px #cbd4d9 solid;
}

/* line 28, ../sass/inc/_main_content.scss */
.help_section {
  padding-bottom: 2em;
}

/* line 32, ../sass/inc/_main_content.scss */
.modal-mask {
  position: fixed;
  z-index: 9998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: table;
  transition: opacity .3s ease;
}

/* line 44, ../sass/inc/_main_content.scss */
.modal-mask .modal-wrapper {
  display: table-cell;
  vertical-align: middle;
}
/* line 48, ../sass/inc/_main_content.scss */
.modal-mask .modal-wrapper .loading-container {
  width: 15%;
  margin: 0px auto;
  padding: 20px 30px;
  background-color: #fff;
  border-radius: 2px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.33);
  transition: all .3s ease;
  font-family: Helvetica, Arial, sans-serif;
}
/* line 58, ../sass/inc/_main_content.scss */
.modal-mask .modal-wrapper .loading-container img {
  display: block;
  margin: 0 auto;
}
/* line 65, ../sass/inc/_main_content.scss */
.modal-mask .modal-wrapper .modal-container {
  width: 50%;
  margin: 0px auto;
  padding: 20px 30px;
  background-color: #fff;
  border-radius: 2px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.33);
  transition: all .3s ease;
  font-family: Helvetica, Arial, sans-serif;
}
/* line 75, ../sass/inc/_main_content.scss */
.modal-mask .modal-wrapper .modal-container .modal-body-container {
  max-height: 75vh;
  overflow-y: scroll;
}

/* line 84, ../sass/inc/_main_content.scss */
.modal-header h3 {
  margin-top: 0;
  color: #42b983;
}

/* line 89, ../sass/inc/_main_content.scss */
.modal-default-button {
  float: right;
}

/* line 94, ../sass/inc/_main_content.scss */
.grid-header-container .stats-row {
  text-align: center;
}

/* line 1, ../sass/inc/_sidebar.scss */
.navigation-menu {
  margin-left: 0.5rem;
  margin-top: 0.75rem;
  color: #8c8c8c;
}
/* line 5, ../sass/inc/_sidebar.scss */
.navigation-menu .side_bar_item {
  margin-left: 0.5rem;
  margin-top: 0.25em;
  color: #eaeaea;
}
/* line 9, ../sass/inc/_sidebar.scss */
.navigation-menu .side_bar_item a {
  color: #eaeaea !important;
}

/**
 Table overrides for the grid view for viewing / booking appointments
 */
/* line 8, ../sass/inc/_tables.scss */
table.hrc-grid-view {
  margin-bottom: 0;
  height: 100%;
}
/* line 12, ../sass/inc/_tables.scss */
table.hrc-grid-view thead th, table.hrc-grid-view tbody td {
  padding: 0 !important;
  width: 7.692307692%;
  text-align: center;
  border: 1px solid #bbb;
}
/* line 19, ../sass/inc/_tables.scss */
table.hrc-grid-view .grid_cell {
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  height: 100%;
}
/* line 27, ../sass/inc/_tables.scss */
table.hrc-grid-view .not_available_cell {
  cursor: pointer;
  background-color: #d0d0d0;
}
/* line 31, ../sass/inc/_tables.scss */
table.hrc-grid-view .available_cell {
  cursor: pointer;
  background-color: #87ff89;
}
/* line 35, ../sass/inc/_tables.scss */
table.hrc-grid-view .taken_cell {
  cursor: pointer;
  background-color: #ff5151;
}
/* line 39, ../sass/inc/_tables.scss */
table.hrc-grid-view .late_cell {
  cursor: pointer;
  background-color: #000000;
}
/* line 43, ../sass/inc/_tables.scss */
table.hrc-grid-view .highlight_top {
  border-top: 1px solid #749cf7;
}
/* line 47, ../sass/inc/_tables.scss */
table.hrc-grid-view .highlight_right {
  border-right: 1px solid #749cf7;
}
/* line 51, ../sass/inc/_tables.scss */
table.hrc-grid-view .highlight_bottom {
  border-bottom: 1px solid #749cf7;
}
/* line 55, ../sass/inc/_tables.scss */
table.hrc-grid-view .highlight_left {
  border-left: 1px solid #749cf7;
}

/* line 61, ../sass/inc/_tables.scss */
.no-overflow {
  overflow: hidden;
}

/* line 65, ../sass/inc/_tables.scss */
.table_wrapper {
  height: 90vh;
  overflow: hidden;
}

/* line 70, ../sass/inc/_tables.scss */
.legend {
  height: 5vh;
  overflow: hidden;
  text-align: center;
  margin-bottom: 0;
}
/* line 76, ../sass/inc/_tables.scss */
.legend .color-cell {
  display: inline-flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
/* line 82, ../sass/inc/_tables.scss */
.legend .color-cell .color-block {
  display: block;
  width: 25px;
  height: 25px;
  border: 1px solid #bfb6b6;
  margin-left: 0.5em;
}
/* line 90, ../sass/inc/_tables.scss */
.legend .color-cell .not_available {
  background: #d0d0d0;
}
/* line 94, ../sass/inc/_tables.scss */
.legend .color-cell .available {
  background: #87ff89;
}
/* line 98, ../sass/inc/_tables.scss */
.legend .color-cell .taken {
  background: #ff5151;
}
/* line 102, ../sass/inc/_tables.scss */
.legend .color-cell .late {
  background: #000000;
}

/* line 1, ../sass/inc/_modals.scss */
.modal-header-container {
  display: flex;
}
/* line 3, ../sass/inc/_modals.scss */
.modal-header-container .modal-title {
  flex-grow: 1;
  text-align: center;
  font-weight: bold;
}
/* line 8, ../sass/inc/_modals.scss */
.modal-header-container button {
  max-height: 40px;
}

/* line 1, ../sass/inc/login/_login_form.scss */
.login_form_wrapper {
  display: flex;
  justify-content: center;
  align-content: center;
}
/* line 5, ../sass/inc/login/_login_form.scss */
.login_form_wrapper .login_form {
  max-width: 800px;
  flex-grow: 1;
}

/* line 1, ../sass/inc/calendar_view/components/_topbar.scss */
.grid-button-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}
/* line 6, ../sass/inc/calendar_view/components/_topbar.scss */
.grid-button-container button {
  margin-left: 0.25rem;
  margin-right: 0.25rem;
}

/* line 12, ../sass/inc/calendar_view/components/_topbar.scss */
.notes-container {
  display: flex;
  flex-direction: row;
}
/* line 15, ../sass/inc/calendar_view/components/_topbar.scss */
.notes-container textarea {
  flex-basis: 100%;
}

/* line 1, ../sass/inc/_back_to_top.scss */
.top-link {
  transition: all .25s ease-in-out;
  position: fixed;
  bottom: -2.5rem;
  right: -2.5rem;
  display: inline-flex;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  margin: 0 3em 3em 0;
  border-radius: 25%;
  padding: .25em;
  width: 3rem;
  height: 3rem;
  background-color: #1a3053;
}
/* line 18, ../sass/inc/_back_to_top.scss */
.top-link.show {
  visibility: visible;
  opacity: 1;
}
/* line 23, ../sass/inc/_back_to_top.scss */
.top-link.hide {
  visibility: hidden;
  opacity: 0;
}
/* line 28, ../sass/inc/_back_to_top.scss */
.top-link svg {
  fill: #fff;
  width: 24px;
  height: 12px;
}
/* line 34, ../sass/inc/_back_to_top.scss */
.top-link:hover {
  background-color: #114179;
}
/* line 37, ../sass/inc/_back_to_top.scss */
.top-link:hover svg {
  fill: #d0d0d0;
}
/* line 43, ../sass/inc/_back_to_top.scss */
.top-link .screen-reader-text {
  position: absolute;
  clip-path: inset(50%);
  margin: -1px;
  border: 0;
  padding: 0;
  width: 1px;
  height: 1px;
  overflow: hidden;
  word-wrap: normal !important;
  clip: rect(1px, 1px, 1px, 1px);
}
/* line 55, ../sass/inc/_back_to_top.scss */
.top-link .screen-reader-text:focus {
  display: block;
  top: 5px;
  left: 5px;
  z-index: 100000;
  clip-path: none;
  background-color: #eee;
  padding: 15px 23px 14px;
  width: auto;
  height: auto;
  text-decoration: none;
  line-height: normal;
  color: #444;
  font-size: 1em;
  clip: auto !important;
}

.previous-client-grid {
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-column-gap: 1em;
  -moz-column-gap: 1em;
  column-gap: 1em;
  justify-content: center;
}
.previous-client-grid .previous-client-entry {
  width: 250px;
  max-width: 250px;
  border: 1px solid rgb(202, 202, 202);
  border-radius: 5px;
  padding: 0.25em;
  margin-bottom:1em;
}
.previous-client-grid .previous-client-entry .fw-bold {
  font-weight: bold;
}
.previous-client-grid .previous-client-entry:hover {
  cursor: pointer;
  background-color: rgba(0,0,0,0.05);
}

.matching-client-grid {
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-column-gap: 1em;
  -moz-column-gap: 1em;
  column-gap: 1em;
  justify-content: center;
}
.matching-client-grid .matching-client-entry {
  width: 325px;
  max-width: 325px;
  border: 1px solid rgb(202, 202, 202);
  border-radius: 5px;
  padding: 0.25em;
  margin-bottom:1em;
  display: flex;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
}
.calendarize-table-wrapper th>label{
  font-weight: bold;
  font-size:100%;
}
.matching-client-grid .matching-client-entry .fw-bold {
  font-weight: bold;
}
.matching-client-grid .matching-client-entry>div:last-child {
  margin-top:auto;
  margin-bottom:0;
  min-height:140px;
  display: flex;
  flex-direction: column;
  justify-content: end;
}